<template lang="pug">
title-bar {{$t("default.add_order")}}
b-container
	.tile.is-ancestor
		.tile.is-vertical
			.tile.is-parent
				b-card.tile.is-child
					order-form( @submit='submit' )
</template>

<script setup>
import OrderForm from "@/components/orders/Form.vue"
import { useOrderStore } from "@/stores/order"

import { useI18n } from "vue-i18n"
import { useRouter } from "vue-router"
import { useToast } from "vue-toastification"

const os = useOrderStore()
const {t} = useI18n()
const toast = useToast()
const $router = useRouter()

const submit = async data => {
	const hasEmpty = !!Object.keys(data).map(prop => !!data[prop]).filter(i => !i).length
	
	if (hasEmpty) return toast.warning(t("default.err.hasEmpty"))

	try {
		const id = await os.createOrder(data)
		$router.push({ name: "Order", params: { orderId: id } })
	} catch(err) {
		console.error(err)
	}
}
</script>